org.apache.solr

## Class SolrTestCaseJ4.CloudSolrClientBuilder

- java.lang.Object
- - org.apache.solr.client.solrj.impl.CloudSolrClient.Builder
  - - org.apache.solr.SolrTestCaseJ4.CloudSolrClientBuilder

- Enclosing class:
    SolrTestCaseJ4

      public static class SolrTestCaseJ4.CloudSolrClientBuilder
      extends org.apache.solr.client.solrj.impl.CloudSolrClient.Builder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CloudSolrClientBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.solr.client.solrj.impl.CloudSolrClient` | `build()`
    `org.apache.solr.client.solrj.impl.CloudSolrClient.Builder` | `sendDirectUpdatesToAnyShardReplica()`
    `org.apache.solr.client.solrj.impl.CloudSolrClient.Builder` | `sendDirectUpdatesToShardLeadersOnly()`

    - ### Methods inherited from class org.apache.solr.client.solrj.impl.CloudSolrClient.Builder

      `sendUpdatesOnlyToShardLeaders, sendUpdatesToAllReplicasInShard, withHttpClient, withLBHttpSolrClient, withLBHttpSolrClientBuilder, withZkChroot, withZkHost, withZkHost`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CloudSolrClientBuilder

          public CloudSolrClientBuilder()

  - ### Method Detail

    - #### sendDirectUpdatesToShardLeadersOnly

          public org.apache.solr.client.solrj.impl.CloudSolrClient.Builder sendDirectUpdatesToShardLeadersOnly()

      Overrides:
        `sendDirectUpdatesToShardLeadersOnly` in class `org.apache.solr.client.solrj.impl.CloudSolrClient.Builder`

    - #### sendDirectUpdatesToAnyShardReplica

          public org.apache.solr.client.solrj.impl.CloudSolrClient.Builder sendDirectUpdatesToAnyShardReplica()

      Overrides:
        `sendDirectUpdatesToAnyShardReplica` in class `org.apache.solr.client.solrj.impl.CloudSolrClient.Builder`

    - #### build

          public org.apache.solr.client.solrj.impl.CloudSolrClient build()

      Overrides:
        `build` in class `org.apache.solr.client.solrj.impl.CloudSolrClient.Builder`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.